Page MenuHomePhabricator

Impossible to create a gallery on some wikis using VE
Closed, ResolvedPublic1 Estimate Story Points

Description

It is not possible to add galleries on some wikis using VE. Process:

  1. edit
  2. insert
  3. gallery
  4. search for images (if needed) and select one
  5. the image is not added to the gallery list.
  6. Save: the gallery is not added

Same thing when you want to update a gallery.

Reported here.

Seems to be specific to some wikis. Tried on:

  • en.wp: works
  • meta: works
  • fr.wp: doesn't work
  • pl.wp: doesn't work
  • it.wp: works
  • ko.wp: doesn't work
  • pt.wp: doesn't work

with Firefox, Chromium and Edge (last versions).

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterNormalise filename after image is chosen in gallery dialog

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2016, 8:58 AM
Trizek-WMF updated the task description. (Show Details)Nov 14 2016, 9:24 AM

While testing in Chrome/Win 10, what happens on fr.wp or ko.wp is that you launch the gallery tool, then click on a picture. It doesn't load in the tool, you can write in the caption box but the Insert button stays greyed out.

Jdforrester-WMF triaged this task as High priority.Nov 14 2016, 7:09 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF added a subscriber: Tchanders.

Change 321549 had a related patch set uploaded (by Tchanders):
Normalise filename after image is chosen in gallery dialog

https://gerrit.wikimedia.org/r/321549

Change 321549 merged by jenkins-bot:
Normalise filename after image is chosen in gallery dialog

https://gerrit.wikimedia.org/r/321549

Jdforrester-WMF closed this task as Resolved.Nov 15 2016, 4:41 PM
Jdforrester-WMF assigned this task to Tchanders.
ArgonSim updated the task description. (Show Details)Nov 16 2016, 7:53 PM

It's still not working on pt-wiki, at least not on this article: https://pt.wikipedia.org/wiki/Hokkei?veaction=edit

Ok. Will make sure this gets looked at on Monday.

Trizek-WMF added a comment.EditedNov 28 2016, 2:46 PM

Tried on that article (on fr.wp): double-click on the gallery or click on the gallery and then edit froze VE (everything turns dimmed white, impossible to scroll). Both happen on Firefox 50 and Chromium 53 on Xubuntu 16.04. Same thing on pt.wp.
That's different from what was experienced wen that ticket has been created.

Trizek-WMF reopened this task as Open.Nov 28 2016, 2:46 PM
AlexMonk-WMF added a comment.EditedNov 30 2016, 7:05 PM

I did some digging and found https://gerrit.wikimedia.org/r/#/c/323090/2 probably solved this. It's 1.29.0-wmf.4 so it'll get deployed to group1 wikis today and group2 tomorrow. @Tchanders?

Yes indeed - thanks for pointing that out. It was a problem with any gallery without prefixed filenames (see T151433).

@ArgonSim @Trizek-WMF Thanks for the examples. (The second gallery on the French page works because it has prefixes, but not the first gallery. The above patch fixes the no-prefix case.)

AlexMonk-WMF closed this task as Resolved.Nov 30 2016, 9:15 PM